package com.prolog.cs.biz.outbound.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description 外复核单
 * @Date 2021-03-25
 */

@ApiModel
public class OuterCheckItemDTO implements Serializable {

    private static final long serialVersionUID = -6272493469692561682L;

    @ApiModelProperty(value = "序号")
    private int num;

    @ApiModelProperty(value = "商品名称")
    private String itemName;

    @ApiModelProperty(value = "规格")
    private String itemSpecs;

    @ApiModelProperty(value = "包装数量")
    private BigDecimal conversionRate;

    @ApiModelProperty(value = "单位")
    private String uom;

    @ApiModelProperty(value = "批号")
    private String manufacturerLotNum;

    @ApiModelProperty(value = "库区")
    private String warehouseAreaCode;

    @ApiModelProperty(value = "库区")
    private String warehouseArea;

    @ApiModelProperty(value = "生产厂家")
    private String manufacturer;

    @ApiModelProperty(value = "件数")
    private BigDecimal uomQty;

    @ApiModelProperty(value = "零散数")
    private BigDecimal oddPieceQty;

    @ApiModelProperty(value = "数量")
    private BigDecimal qty;

    @ApiModelProperty(value = "拼箱号")
    private String lclNo;

    @ApiModelProperty(value = "仓库名称")
    private String warehouseName;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "拣货员")
    private String pickMan;

    @ApiModelProperty(value = "类型（0-拼箱码 1-整件拣选码）")
    private String type;

    @ApiModelProperty(value = "有效期至")
    private String expiredDate;

    @ApiModelProperty(value = "商品ID")
    private String itemId;

    @ApiModelProperty(value = "商品编码")
    private String itemCode;

    @ApiModelProperty(value = "支付金额")
    private BigDecimal payamount;

    @ApiModelProperty(value = "单价")
    private BigDecimal price;

    @ApiModelProperty(value = "生产日期")
    private String pdateFrom;

    @ApiModelProperty(value = "许可证号")
    private String approvalNumber;

    @ApiModelProperty(value = "条码明细id")
    private String barcodeDId;

    @ApiModelProperty(value = "拣货人")
    private String pickerName;

    @ApiModelProperty(value = "商品批号联合")
    private String itemLot;

    public String getPickMan() {
        return pickMan;
    }

    public void setPickMan(String pickMan) {
        this.pickMan = pickMan;
    }

    public String getWarehouseArea() {
        return warehouseArea;
    }

    public void setWarehouseArea(String warehouseArea) {
        this.warehouseArea = warehouseArea;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public int getNum() {
        return num;
    }

    public void setNum(int num) {
        this.num = num;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public String getItemSpecs() {
        return itemSpecs;
    }

    public void setItemSpecs(String itemSpecs) {
        this.itemSpecs = itemSpecs;
    }

    public BigDecimal getConversionRate() {
        return conversionRate;
    }

    public void setConversionRate(BigDecimal conversionRate) {
        this.conversionRate = conversionRate;
    }

    public String getUom() {
        return uom;
    }

    public void setUom(String uom) {
        this.uom = uom;
    }

    public String getManufacturerLotNum() {
        return manufacturerLotNum;
    }

    public void setManufacturerLotNum(String manufacturerLotNum) {
        this.manufacturerLotNum = manufacturerLotNum;
    }

    public String getWarehouseAreaCode() {
        return warehouseAreaCode;
    }

    public void setWarehouseAreaCode(String warehouseAreaCode) {
        this.warehouseAreaCode = warehouseAreaCode;
    }

    public String getManufacturer() {
        return manufacturer;
    }

    public void setManufacturer(String manufacturer) {
        this.manufacturer = manufacturer;
    }

    public BigDecimal getUomQty() {
        return uomQty;
    }

    public void setUomQty(BigDecimal uomQty) {
        this.uomQty = uomQty;
    }

    public BigDecimal getOddPieceQty() {
        return oddPieceQty;
    }

    public void setOddPieceQty(BigDecimal oddPieceQty) {
        this.oddPieceQty = oddPieceQty;
    }

    public BigDecimal getQty() {
        return qty;
    }

    public void setQty(BigDecimal qty) {
        this.qty = qty;
    }

    public String getLclNo() {
        return lclNo;
    }

    public void setLclNo(String lclNo) {
        this.lclNo = lclNo;
    }

    public String getWarehouseName() {
        return warehouseName;
    }

    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getExpiredDate() {
        return expiredDate;
    }

    public void setExpiredDate(String expiredDate) {
        this.expiredDate = expiredDate;
    }

    public String getItemId() {
        return itemId;
    }

    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    public String getItemCode() {
        return itemCode;
    }

    public void setItemCode(String itemCode) {
        this.itemCode = itemCode;
    }

    public BigDecimal getPayamount() {
        return payamount;
    }

    public void setPayamount(BigDecimal payamount) {
        this.payamount = payamount;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public String getPdateFrom() {
        return pdateFrom;
    }

    public void setPdateFrom(String pdateFrom) {
        this.pdateFrom = pdateFrom;
    }

    public String getApprovalNumber() {
        return approvalNumber;
    }

    public void setApprovalNumber(String approvalNumber) {
        this.approvalNumber = approvalNumber;
    }

    public String getBarcodeDId() {
        return barcodeDId;
    }

    public void setBarcodeDId(String barcodeDId) {
        this.barcodeDId = barcodeDId;
    }

    public String getPickerName() {
        return pickerName;
    }

    public void setPickerName(String pickerName) {
        this.pickerName = pickerName;
    }

    public String getItemLot() {
        return itemLot;
    }

    public void setItemLot(String itemLot) {
        this.itemLot = itemLot;
    }
}
